org.apache.cassandra.thrift

## Class ColumnSlice

- java.lang.Object
- - org.apache.cassandra.thrift.ColumnSlice

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<ColumnSlice>, org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>

    public class ColumnSlice
    extends java.lang.Object
    implements org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<ColumnSlice>

The ColumnSlice is used to select a set of columns from inside a row. If start or finish are unspecified they will default to the start-of end-of value.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ColumnSlice._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.nio.ByteBuffer` `finish`
`static java.util.Map<ColumnSlice._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.nio.ByteBuffer` `start`

### Constructor Summary

Constructors
Constructor and Description
`ColumnSlice()`
`ColumnSlice(ColumnSlice other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `bufferForFinish()`
`java.nio.ByteBuffer` `bufferForStart()`
`void` `clear()`
`int` `compareTo(ColumnSlice other)`
`ColumnSlice` `deepCopy()`
`boolean` `equals(ColumnSlice that)`
`boolean` `equals(java.lang.Object that)`
`ColumnSlice._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(ColumnSlice._Fields field)`
`byte[]` `getFinish()`
`byte[]` `getStart()`
`int` `hashCode()`
`boolean` `isSet(ColumnSlice._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetFinish()` Returns true if field finish is set (has been assigned a value) and false otherwise
`boolean` `isSetStart()` Returns true if field start is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(ColumnSlice._Fields field, java.lang.Object value)`
`ColumnSlice` `setFinish(byte[] finish)`
`ColumnSlice` `setFinish(java.nio.ByteBuffer finish)`
`void` `setFinishIsSet(boolean value)`
`ColumnSlice` `setStart(byte[] start)`
`ColumnSlice` `setStart(java.nio.ByteBuffer start)`
`void` `setStartIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetFinish()`
`void` `unsetStart()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### start

    public java.nio.ByteBuffer start

#### finish

    public java.nio.ByteBuffer finish

#### metaDataMap

    public static final java.util.Map<ColumnSlice._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### ColumnSlice

    public ColumnSlice()

#### ColumnSlice

    public ColumnSlice(ColumnSlice other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public ColumnSlice deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`

#### getStart

    public byte[] getStart()

#### bufferForStart

    public java.nio.ByteBuffer bufferForStart()

#### setStart

    public ColumnSlice setStart(byte[] start)

#### setStart

    public ColumnSlice setStart(java.nio.ByteBuffer start)

#### unsetStart

    public void unsetStart()

#### isSetStart

    public boolean isSetStart()

Returns true if field start is set (has been assigned a value) and false otherwise

#### setStartIsSet

    public void setStartIsSet(boolean value)

#### getFinish

    public byte[] getFinish()

#### bufferForFinish

    public java.nio.ByteBuffer bufferForFinish()

#### setFinish

    public ColumnSlice setFinish(byte[] finish)

#### setFinish

    public ColumnSlice setFinish(java.nio.ByteBuffer finish)

#### unsetFinish

    public void unsetFinish()

#### isSetFinish

    public boolean isSetFinish()

Returns true if field finish is set (has been assigned a value) and false otherwise

#### setFinishIsSet

    public void setFinishIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(ColumnSlice._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(ColumnSlice._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`

#### isSet

    public boolean isSet(ColumnSlice._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(ColumnSlice that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(ColumnSlice other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<ColumnSlice>`

#### fieldForId

    public ColumnSlice._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<ColumnSlice,ColumnSlice._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`